define('ember-bootstrap/components/bs-dropdown-menu', ['exports', 'ember'], function (exports, Ember) {

    'use strict';

    exports['default'] = Ember['default'].Component.extend({

        /**
         * Defaults to a `<ul>` tag. Change for other types of dropdown menus.
         *
         * @property tagName
         * @type string
         * @default ul
         * @public
         */
        tagName: 'ul',
        classNames: ['dropdown-menu'],
        classNameBindings: ['alignClass'],

        /**
         * @property ariaRole
         * @default menu
         * @type string
         * @protected
         */
        ariaRole: 'menu',

        /**
         * Alignment of the menu, either "left" or "right"
         *
         * @property align
         * @type string
         * @default left
         * @public
         */
        align: 'left',

        alignClass: Ember['default'].computed('align', function() {
            if (this.get('align') !== 'left') {
                return 'dropdown-menu-' + this.get('align');
            }
        })


    });

});